com.microfocus.awm.meta.interfaces

## Interface RElementTextDecoration

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementTextDecorationImpl

      public interface RElementTextDecoration
      extends AWMObject

  This relationship can be used to define decorations which should appear in front and/or behind of the label defined for the element type.

  The following features are supported:

  - `Seq No`
  - `Text Decoration Position`
  - `Separator`
  - `Start Character`
  - `End Character`
  - `Has Value`
  See Also:
    `TaurusPackage.getRElementTextDecoration()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEndCharacter()` Returns the value of the 'End Character' attribute.
    `org.eclipse.emf.common.util.EList<RDecorationValue>` | `getHasValue()` Returns the value of the 'Has Value' containment reference list.
    `java.lang.String` | `getSeparator()` Returns the value of the 'Separator' attribute.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `java.lang.String` | `getStartCharacter()` Returns the value of the 'Start Character' attribute.
    `ETextDecorationPosition` | `getTextDecorationPosition()` Returns the value of the 'Text Decoration Position' attribute.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setEndCharacter(java.lang.String value)` Sets the value of the '`End Character`' attribute.
    `void` | `setSeparator(java.lang.String value)` Sets the value of the '`Separator`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setStartCharacter(java.lang.String value)` Sets the value of the '`Start Character`' attribute.
    `void` | `setTextDecorationPosition(ETextDecorationPosition value)` Sets the value of the '`Text Decoration Position`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position of the text decoration within all text decorations in front or behind the label.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementTextDecoration_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getTextDecorationPosition

          ETextDecorationPosition getTextDecorationPosition()

      Returns the value of the 'Text Decoration Position' attribute. The default value is `"Behind_the_Label"`. The literals are from the enumeration `ETextDecorationPosition`.
      Defines whether the text decoration should be placed behind or in front of the label. Valid values are: "Behind the Label" or "In Front of the Label".
      Returns:
        the value of the 'Text Decoration Position' attribute.
      See Also:
        `ETextDecorationPosition`, `setTextDecorationPosition(ETextDecorationPosition)`, `TaurusPackage.getRElementTextDecoration_TextDecorationPosition()`

    - #### setTextDecorationPosition

          void setTextDecorationPosition(ETextDecorationPosition value)

      Sets the value of the '`Text Decoration Position`' attribute.
      Parameters:
        `value` - the new value of the 'Text Decoration Position' attribute.
      See Also:
        `ETextDecorationPosition`, `getTextDecorationPosition()`

    - #### getSeparator

          java.lang.String getSeparator()

      Returns the value of the 'Separator' attribute. The default value is `" - "`.
      Defines the separator between decoration values if more than one decoration value is modeled.
      Returns:
        the value of the 'Separator' attribute.
      See Also:
        `setSeparator(String)`, `TaurusPackage.getRElementTextDecoration_Separator()`

    - #### setSeparator

          void setSeparator(java.lang.String value)

      Sets the value of the '`Separator`' attribute.
      Parameters:
        `value` - the new value of the 'Separator' attribute.
      See Also:
        `getSeparator()`

    - #### getStartCharacter

          java.lang.String getStartCharacter()

      Returns the value of the 'Start Character' attribute. The default value is `" ("`.
      Defines fixed character(s) with which the text decoration starts.
      Returns:
        the value of the 'Start Character' attribute.
      See Also:
        `setStartCharacter(String)`, `TaurusPackage.getRElementTextDecoration_StartCharacter()`

    - #### setStartCharacter

          void setStartCharacter(java.lang.String value)

      Sets the value of the '`Start Character`' attribute.
      Parameters:
        `value` - the new value of the 'Start Character' attribute.
      See Also:
        `getStartCharacter()`

    - #### getEndCharacter

          java.lang.String getEndCharacter()

      Returns the value of the 'End Character' attribute. The default value is `")"`.
      Defines fixed character(s) with which the text decoration ends.
      Returns:
        the value of the 'End Character' attribute.
      See Also:
        `setEndCharacter(String)`, `TaurusPackage.getRElementTextDecoration_EndCharacter()`

    - #### setEndCharacter

          void setEndCharacter(java.lang.String value)

      Sets the value of the '`End Character`' attribute.
      Parameters:
        `value` - the new value of the 'End Character' attribute.
      See Also:
        `getEndCharacter()`

    - #### getHasValue

          org.eclipse.emf.common.util.EList<RDecorationValue> getHasValue()

      Returns the value of the 'Has Value' containment reference list. The list contents are of type `RDecorationValue`. Relationship from a text decoration to a static value or a property.
      Returns:
        the value of the 'Has Value' containment reference list.
      See Also:
        `TaurusPackage.getRElementTextDecoration_HasValue()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.